Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PocketMine 1.6 PHP7 Installer (Windows)

Comments in 'Tools' started by TheDeibo, Feb 24, 2016.

  1. MhikeiMPC
    Offline

    MhikeiMPC New Member

    Joined:
    Sep 10, 2015
    Posts:
    35
    Minecraft User:
    MhikeiMPC
    will my 0.13 and 0.12 plugins work on 0.14? or do i need to update them?
  2. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    The plugin's api will have to be, API 2.0.0, because of the php7 change. Trust me, once youve got php7, your server life will be MUCH faster. Besides, PocketMine uses php7 now. So, no turning back.
  3. UnlimitedCraft
    Offline

    UnlimitedCraft New Member

    Joined:
    Aug 8, 2015
    Posts:
    14
    Minecraft User:
    Erickson123
    all plugins is not working it says "incompatible api version".

    please help me
  4. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
  5. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    as @PEMapModder has said, update the plugin. Update it to API 2.0.0.
  6. UnlimitedCraft
    Offline

    UnlimitedCraft New Member

    Joined:
    Aug 8, 2015
    Posts:
    14
    Minecraft User:
    Erickson123
    but how to update plugin?
  7. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Wait for the plugin developers to update.
    For some plugins, it might be possible to update them with http://pmt.mcpe.me/api2, but it might not work with some plugins like WorldEditArt.
    UnlimitedCraft, TheDeibo and Survingo like this.
  8. UnlimitedCraft
    Offline

    UnlimitedCraft New Member

    Joined:
    Aug 8, 2015
    Posts:
    14
    Minecraft User:
    Erickson123
    why i cant press the button inject?
  9. Survingo
    Offline

    Survingo Active Member

    Joined:
    Dec 6, 2015
    Posts:
    221
    Because you haven't clicked the 'click me' button on top of the page and haven't used the search bar on top of the Forums!
  10. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Because you didn't read the instructions.
  11. Alexx5
    Offline

    Alexx5 New Member

    Joined:
    Mar 25, 2016
    Posts:
    3
    Hello. The server seems to be working, but I can't connect. Client immediately says "Disconnected from Server" and server log says "logged out due to Invalid name!"
  12. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    If you have attempted to log in with your old xbox with windows 10 edition, it wont work ( anything with a special character - includes space ) will not allow you to play
  13. Alexx5
    Offline

    Alexx5 New Member

    Joined:
    Mar 25, 2016
    Posts:
    3
    So names with spaces are not supported? I'm using windows 10 edition with Xbox live gamertag.
  14. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    correct.
  15. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Use NameCorrector.
    jostie123 and TheDeibo like this.
  16. Alexx5
    Offline

    Alexx5 New Member

    Joined:
    Mar 25, 2016
    Posts:
    3
    How can I use NameCorrector? I get "Incompatible API version" error when i try to load it.
  17. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Use http://pmt.MCPE.me/api2/ to convert it. Make sure that you read all instructions on that webpage
  18. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    Tinyest ever change EVER in the history of the installer....
    Link has changed slightly. Instead of ...thedeibo... its ...TheDeibo...

    My GitHub is now more SHOUTY
  19. BlubberBoy333
    Offline

    BlubberBoy333 Active Member

    Joined:
    Aug 31, 2014
    Posts:
    177
    Minecraft User:
    Blubberboy333
    I got this error when i tried to start it for the first time:
    bin\php\php.exe: Exec format error
    bin\php\php.exe: Exit 255
  20. TheDeibo
    Offline

    TheDeibo Notable Member Plugin Developer

    Joined:
    Sep 8, 2014
    Posts:
    692
    Plugins:
    1
    Minecraft User:
    TheDeibo
    go to your php.ini.

    Tell me what the section what the log_errors say?

Share This Page

Advertisement